Bug 813236 - Fail to build job in tweetstream for jbossas application
Fail to build job in tweetstream for jbossas application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 05:54 EDT by bzhao
Modified: 2015-05-14 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:46:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-04-17 05:54:00 EDT
Description of problem:
Can't build job  in tweetstream after git push, it will output "remote: [INFO] tweetstream ................. FAILURE [3.103s]
remote: [INFO] --------------
remote: [INFO] BUILD FAILURE
"

Version-Release number of selected component (if applicable):
rhc-0.91.1-1.git.9.713b065.el6.noarch
cartridge-jbossas-7-0.91.2-1.git.152.198940b.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. According to https://github.com/openshift/tweetstream-example to create a tweetstream, then push the repo upstream 
2.
3.
  
Actual results:
Return "tweetstream ............ FAILURE 
        BUILD FAILURE"

Expected results:
Push the repo upstream successfully without any error

Additional info:
remote: [INFO] tweetstream-shared ................................ SUCCESS [1:12.906s]
remote: [INFO] tweetstream ....................................... FAILURE [3.103s]
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] BUILD FAILURE
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] Total time: 1:54.501s
remote: [INFO] Finished at: Tue Apr 17 05:22:13 EDT 2012
remote: [INFO] Final Memory: 15M/37M
remote: [INFO] ------------------------------------------------------------------------
remote: [ERROR] Failed to execute goal on project tweetstream: Could not resolve dependencies for project org.richfaces.examples.tweetstream:tweetstream:war:1.0.0-SNAPSHOT: Could not find artifact org.atmosphere:atmosphere-runtime:jar:0.9-SNAPSHOT in nexus (http://mirror1.stg.rhcloud.com:80/nexus/content/groups/public) -> [Help 1]
remote: [ERROR] 
remote: [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
remote: [ERROR] Re-run Maven using the -X switch to enable full debug logging.
remote: [ERROR] 
remote: [ERROR] For more information about the errors and possible solutions, please read the following articles:
remote: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
remote: [ERROR] 
remote: [ERROR] After correcting the problems, you can resume the build with the command
remote: [ERROR]   mvn <goals> -rf :tweetstream
Comment 1 Dan McPherson 2012-04-18 20:55:26 EDT
fixed in github
Comment 2 bzhao 2012-04-19 03:51:46 EDT
Passed verification against devenv 1730

Note You need to log in before you can comment on or make changes to this bug.